package com.xunwang.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 老师课程发布
 * </p>
 *
 * @author Long
 * @since 2022-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TeacherCourses对象", description="老师课程发布")
public class TeacherCourses implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    @TableId(value = "course_id", type = IdType.AUTO)
    private Integer courseId;

    @ApiModelProperty(value = "无序唯一id")
    private String uid;

    @ApiModelProperty(value = "专职教员, 学生教员")
    private String teacherType;

    @ApiModelProperty(value = "自我描述")
    private String introduce;

    @ApiModelProperty(value = "教龄")
    private String teachAge;

    @ApiModelProperty(value = "授课时间")
    private String teachTime;

    @ApiModelProperty(value = "辅导学科，最多选4科")
    private String subject;

    @ApiModelProperty(value = "位置")
    private String location;

    @ApiModelProperty(value = "老师上门，学员上门，线上辅导")
    private String mode;

    @ApiModelProperty(value = "成功经验")
    private String experience;

    @ApiModelProperty(value = "浏览量")
    private Integer viewedCount;

    @ApiModelProperty(value = "不填，自动")
    private String datetime;

    @ApiModelProperty(value = "审核状态，0=wait ,1=pass ,2=refuse")
    private String verifyStatus;

    @ApiModelProperty(value = "审核不过原因")
    private String verifyRefuseReason;

    @ApiModelProperty(value = "是否显示")
    private String display;

    @ApiModelProperty(value = "是否锁定")
    private String locked;

    @ApiModelProperty(value = "已成交,未成交")
    private String deal;

    @ApiModelProperty(value = "0：未删， 1：已删")
    @TableLogic
    private String deleted;


}
