package com.xunwang.ucenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 微信小程序基础配置
 * </p>
 *
 * @author Long
 * @since 2022-11-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AppidAccessToken对象", description="微信小程序基础配置")
public class AppidAccessToken implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区分，小程序，还是公众号")
    private String type;

    @ApiModelProperty(value = "微信的appid")
    private String appid;

    @ApiModelProperty(value = "微信的appsecret")
    private String appsecret;

    @ApiModelProperty(value = "微信的access_token")
    private String accessToken;

    @ApiModelProperty(value = "access_token过期绝对日期时间序列，使用前，先检查是否过期")
    private String expireIn;

    @ApiModelProperty(value = "页面路径")
    private String pagepath;

    @ApiModelProperty(value = "备注")
    private String remark;


}
